Paycose Docs
Webhook (Receiver)
POST/webhooks/oauth/ory

Listen From Ory Auth

Internal webhook endpoint for Ory auth server events.

Handles the following event types:

  • user_registered: Called when a new user registers via Kratos. Creates the user record.
  • email_verified: Called when a user verifies their email.
  • kyc_verified: Called when a user passes KYC verification.
  • kyb_verification: Called when an application passes KYB verification.

Requires: X-Webhook-Token header for authentication.

Request

Example

curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/webhooks/oauth/ory' \
  -H 'X-Webhook-Token: {{webhook_token}}' \
  -d '{
  "event": "kyb_verification",
  "id": "{{application_id}}"
}'

Headers

NameValue
X-Webhook-Token{{webhook_token}}

Body

NameTypeValue
eventstringkyb_verification
idstring{{application_id}}
{
  "event": "kyb_verification",
  "id": "{{application_id}}"
}

Responses

400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "location": "<string>",
  "object": "<string>",
  "message": "<string>",
  "code": 0,
  "key": "<string>",
  "i18n_key": "<string>",
  "provider": "<string>",
  "provider_code": "<string>",
  "param": "<string>",
  "request_id": "<string>",
  "reason": "<string>"
}
401401 Unauthorized

Headers

NameValue
Content-Typeapplication/json

Body

{
  "location": "<string>",
  "object": "<string>",
  "message": "<string>",
  "code": 0,
  "key": "<string>",
  "i18n_key": "<string>",
  "provider": "<string>",
  "provider_code": "<string>",
  "param": "<string>",
  "request_id": "<string>",
  "reason": "<string>"
}
500500 Internal Server Error

Headers

NameValue
Content-Typeapplication/json

Body

{
  "location": "<string>",
  "object": "<string>",
  "message": "<string>",
  "code": 0,
  "key": "<string>",
  "i18n_key": "<string>",
  "provider": "<string>",
  "provider_code": "<string>",
  "param": "<string>",
  "request_id": "<string>",
  "reason": "<string>"
}

On this page